﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace XamDataGridDictionary
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Dictionary<MyEnum, ChildClass> d1 = new Dictionary<MyEnum, ChildClass>();
            d1.Add(MyEnum.ENUM1, new ChildClass() { Name = "person1", Age = 11 });
            d1.Add(MyEnum.ENUM2, new ChildClass() { Name = "person2", Age = 12 });


            Dictionary<MyEnum, ChildClass> d2 = new Dictionary<MyEnum, ChildClass>();
            d2.Add(MyEnum.ENUM1, new ChildClass() { Name = "person12", Age = 10 });
            d2.Add(MyEnum.ENUM2, new ChildClass() { Name = "person22", Age = 20 });

            ObservableCollection<ParentClass> data = new ObservableCollection<ParentClass>();
            data.Add(new ParentClass() { Name = "parent1", ChildClasses = d1 });
            data.Add(new ParentClass() { Name = "parent2", ChildClasses = d2 });

            this.DataContext = data;
        }
    }

    public class ParentClass
    {
        public string Name { get; set; }
        public Dictionary<MyEnum, ChildClass> ChildClasses { get; set; }
    }

    public enum MyEnum
    {
        ENUM1,
        ENUM2
    }

    public class ChildClass
    {
        public int Age { get; set; }
        public string Name { get; set; }
    }
}
